#!/usr/bin/perl -T

use strict;
use warnings;

#*******************************************************************************
# Mentat::Storage::Mongo::Aggregator module/class tests
#
# Author:   Jan Mach, jan.mach@cesnet.cz
# Version:  0.1
# Purpose:
#
#*******************************************************************************

use Data::Dumper;
#use Smart::Comments;

use Test::More tests => 7;

# First test if the module correctly compiles
BEGIN {
        use vars qw($TESTED_CLASS);
        $TESTED_CLASS = 'Mentat::Storage::Mongo::Aggregator';

        use_ok('Tester');
        use_ok('Log::Loger');
        use_ok('Value::Convertor');
        use_ok('Data::Cache::Folder');
        use_ok('Mentat::Storage::Mongo');
        use_ok($TESTED_CLASS);

        $ENV{PATH} = '/bin:/usr/bin';
    }

# Debug output explicit ON switch
Tester::DEBUG_ON();
#Tester::DEBUG_ON(10);

# Debug output explicit OFF switch
#Tester::DEBUG_OFF();

# User should know, which version is beeing tested (just for sure)
### $Mentat::Storage::Mongo::Aggregator::VERSION

### Attempting to create Mentat::Storage::Mongo::Aggregator instance...
# NASTAV SI, JAK POTREBUJES
my $instance = $TESTED_CLASS->new(database => 'mentat',
                                  collection => 'alerts',
                                  cache => './spool/cache',
                                  ttl => 60*60*24*7,
                                  #clear => 1, # CLEAR OLD ITEMS FROM CACHE?
                                );
isa_ok($instance, $TESTED_CLASS);

### Viewing the created instance: $instance
diag("Instance dump 01: " . Dumper($instance)) if Tester::D(2);

# ZAVOLEJ SI, JAK POTREBUJES
#my $data = $instance->get_dashboard_data(...);
#diag("Dashboard data: " . Dumper($data));
